Bug 486897 - gnome-sound-pro is having trouble with SELinux
gnome-sound-pro is having trouble with SELinux
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-22 20:56 EST by Joe Zeff
Modified: 2009-02-23 05:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-23 05:35:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Zeff 2009-02-22 20:56:29 EST
Description of problem:


Summary:

SELinux is preventing gnome-sound-pro from loading
/usr/lib/i686/libavutil.so.49.10.0 which requires text relocation.

Detailed Description:

The gnome-sound-pro application attempted to load
/usr/lib/i686/libavutil.so.49.10.0 which requires text relocation. This is a
potential security problem. Most libraries do not need this permission.
Libraries are sometimes coded incorrectly and request this permission. The
SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. You can configure SELinux temporarily to allow
/usr/lib/i686/libavutil.so.49.10.0 to use relocation as a workaround, until the
library is fixed. Please file a bug report
(http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Allowing Access:

If you trust /usr/lib/i686/libavutil.so.49.10.0 to run correctly, you can change
the file context to textrel_shlib_t. "chcon -t textrel_shlib_t
'/usr/lib/i686/libavutil.so.49.10.0'" You must also change the default file
context files on the system in order to preserve them even on a full relabel.
"semanage fcontext -a -t textrel_shlib_t '/usr/lib/i686/libavutil.so.49.10.0'"

Fix Command:

chcon -t textrel_shlib_t '/usr/lib/i686/libavutil.so.49.10.0'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_t:s0
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib/i686/libavutil.so.49.10.0 [ file ]
Source                        gnome-settings-
Source Path                   /usr/libexec/gnome-settings-daemon
Port                          <Unknown>
Host                          khorlia.zeff.us
Source RPM Packages           control-center-2.24.0.1-9.fc10
Target RPM Packages           ffmpeg-libs-0.4.9-0.54.20080908.fc10
Policy RPM                    selinux-policy-3.5.13-18.fc10
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   allow_execmod
Host Name                     khorlia.zeff.us
Platform                      Linux khorlia.zeff.us 2.6.27.15-170.2.24.fc10.i686
                              #1 SMP Wed Feb 11 23:58:12 EST 2009 i686 i686
Alert Count                   3
First Seen                    Sun 22 Feb 2009 05:17:16 PM PST
Last Seen                     Sun 22 Feb 2009 05:41:18 PM PST
Local ID                      4b3cd259-8d74-4223-add5-0178015f1b94
Line Numbers                  

Raw Audit Messages            

node=khorlia.zeff.us type=AVC msg=audit(1235353278.567:140): avc:  denied  { execmod } for  pid=3554 comm="gnome-sound-pro" path="/usr/lib/i686/libavutil.so.49.10.0" dev=sda6 ino=1485443 scontext=unconfined_u:unconfined_r:unconfined_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=file

node=khorlia.zeff.us type=SYSCALL msg=audit(1235353278.567:140): arch=40000003 syscall=125 success=no exit=-13 a0=cd2000 a1=9000 a2=5 a3=bfb60910 items=0 ppid=3553 pid=3554 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="gnome-sound-pro" exe="/usr/bin/gnome-sound-properties" subj=unconfined_u:unconfined_r:unconfined_t:s0 key=(null)





Version-Release number of selected component (if applicable):


How reproducible:

Only tried it once, but by the SELinux error, it should happen every time.

Steps to Reproduce:
1.Go to System
2.Preferences
3.Hardware
4.Sound
5.Up pops the error.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bastien Nocera 2009-02-23 05:35:02 EST
It's the GStreamer plugin from libcanberra loading the GStreamer ffmpeg plugin. We don't ship the ffmpeg plugin, so closing.

Note that you should see similar errors when launching Totem, or sound-juicer, if the GStreamer plugin cache wasn't created ("rm ~/.gstreamer-0.10/registry*").

Note You need to log in before you can comment on or make changes to this bug.